Package Gnumed :: Package business :: Module gmLOINC |
[frames] | no frames]

# Module gmLOINC

source code

LOINC handling code.

http://loinc.org

license: GPL v2 or later

Version: $Revision: 1.7 $

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

Functions
loinc2term(loinc=None) | source code
split_LOINCDBTXT(input_fname=None, data_fname=None, license_fname=None) | source code
map_field_names(data_fname=`'``loinc_data.csv``'`) | source code
get_version(license_fname=`'``loinc_license.txt``'`) | source code
loinc_import(data_fname=None, license_fname=None, version=None, conn=None, lang=`'``en_EN``'`) | source code

Variables
| origin_url = ``u'``http://loinc.org``'``
| file_encoding = ``'``latin1``'``
| license_delimiter = ``u'``Clip Here for Data``'``
| version_tag = ``u'``LOINC(R) Database Version``'``
| name_long = ``u'``LOINC® (Logical Observation Identifiers Names an``...``
| name_short = ``u'``LOINC``'``
| loinc_fields = ``[``u'``LOINC_NUM``'``,` `u'``COMPONENT``'``,` `u'``PROPERTY``'``,` `u'``TIM``...``
| __package__ = ``'``Gnumed.business``'``

Imports: sys, codecs, logging, csv, gmPG2, gmTools

Variables Details

  ### name_long Value:
      u'LOINC® (Logical Observation Identifiers Names and Codes)'

  ### loinc_fields Value:
      [u'LOINC_NUM',
       u'COMPONENT',
       u'PROPERTY',
       u'TIME_ASPCT',
       u'SYSTEM',
       u'SCALE_TYP',
       u'METHOD_TYP',
       u'RELAT_NMS',
      ...